Kerbal Space Program - Bug #9414

Disappearing contracts.
04/22/2016 06:44 PM - Tricky

Status: Duplicate Start date: 04/22/2016
Severity: Normal % Done: 100%
Assignee:
Category:
Target version:
Version: 1.1.0 Language: English (US)
Platform: 0OSX Mod Related: No

Expansion:

Description
This one sort of snuck up on me between saves, so | don't have a 'good' report on it with a lot of info. I'm sorry about that.

In a nutshell, the contract to leave the atmosphere and to get into orbit basically disappeared. | have no idea what | did to cause this,
but provided | hear the right questions in time | may be able to recall a thing or two. I've attached a savegame. I'm not sure if |
actually got to the point where | accepted the contract. | suspect so because it's exactly those two contracts and none of the other
that disappeared. A little too specific for chance. The two contracts are no longer listed in the contract categories (accepted, failed,
completed, etc). What | can tell you is that the contracts didn't expire. | think the date on the save will confirm that. | believe you get
something like five game days to accept those contracts and | think | only made it to the second day.

Missing out on early contracts seems like a pretty big issue to me, so I'm giving it normal priority. Again apologies for not having more
information surrounding the bug. | was attending a birthday between saves and | have no good recollection of exactly what | was
doing prior to the save. | did do a lot of little contracts before | started building my orbit craft, so | imagine | spend a lot of time in the
Mission Control building. | did not cancel the contracts, not even by mistake. Certainly not twice in a row.

| hope it can be resolved.

Related issues:
Is duplicate of Kerbal Space Program - Bug #9395: Contracts Disappearing Needs Clarifical®82/2016

History

#1 - 04/22/2016 06:49 PM - Tricky
I'm not sure why the platform says OSX, but | thought | filled out Windows 10 there. Can't edit that, so posting it here.

#2 - 07/17/2016 09:47 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/09/2019 12:22 AM - chris.fulton
- Status changed from Needs Clarification to Duplicate

- % Done changed from 0 to 100

#4 - 08/09/2019 12:22 AM - chris.fulton
- Is duplicate of Bug #9395: Contracts Disappearing added

Files
username.rar 100 KB 04/22/2016 Tricky
KSP.log 929 KB 04/22/2016 Tricky
